# Issuing Verifiable Credentials with the Blerify API

### API Endpoints for **W3C-VC Standard** Issuance

The following are the Blerify API endpoints for Verifiable Credentials issuance:

### **1- "Create" Endpoint**

* **Description:** This endpoint is used to create a **W3C** Verifiable Credentials format.
* **HTTP Method:** `POST`
* **Endpoint URL:**  {{api-host}}/api/v1/organizations/{{organization-id}}/projects/{{project-id}}/credentials

{% embed url="<https://dev.blerify.com/?_gl=1*4h2p60*_ga*MTEwMjIzODc2Ny4xNzEyNjc0MjMy*_ga_F58PRL7ZE7*MTczNzU2MTk2Ny40Ni4xLjE3Mzc1NjE5OTEuMC4wLjA.#83899591-0810-43fd-a8f3-277073b6f8b5>" %}

### **2- "Approve" Endpoint**

* **Description:** This endpoint is used to approve the VC created in the previous step.
* **HTTP Method:** `POST`
* **Endpoint URL:** {{api-host}}/api/v1/organizations/{{organization-id}}/projects/{{project-id}}/crypto/sign/es256

{% embed url="<https://dev.blerify.com/?_gl=1*4h2p60*_ga*MTEwMjIzODc2Ny4xNzEyNjc0MjMy*_ga_F58PRL7ZE7*MTczNzU2MTk2Ny40Ni4xLjE3Mzc1NjE5OTEuMC4wLjA.#ea8f5cc6-660f-4572-8d58-3e4bcbc364ab>" %}

### Example Workflow

1. The Service Account is created in the Blerify portal and the JSON file is downloaded.
2. A library (preferred by the client) is used to generate the access token.
3. The "Create" endpoint is called to create the W3C-VC, sending the access token at all times and generating it again if necessary.
4. The Digital Credential ID is received in the response.
5. The "Approve" endpoint is called using the Digital Credential ID and the digital signature.
6. The complete credential object is received in the response.
7. This object is delivered to the end user for download to their wallet.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blerify.com/developers/api-documentation/issuing-verifiable-credentials-with-the-blerify-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
